<div class="mt-2 container-fluid">
  <h2 class="text-center">Liste des commandes</h2>

  <div class="mb-2">
    <button class="btn btn-primary" [routerLink]="['/', 'orders', 'add']">
      Ajouter une commande
    </button>
  </div>

  <ng-container *ngIf="!isloading; else loading">
    <ng-container *ngIf="orders$ | async as orders; else loading">
      <table *ngIf="orders.length > 0; else noData"
             class="table table-striped table-hover"
      >
        <thead>
        <tr>
          <th scope="col">Name</th>
          <th scope="col">Client</th>
          <th scope="col">Price HT</th>
          <th scope="col">TVA</th>
          <th scope="col">Number of Days</th>
          <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let order of orders">
          <th scope="row">{{ order.name }}</th>
          <td>{{ order.client }}</td>
          <td>{{ order.priceHT }}€</td>
          <td>{{ order.tva }}%</td>
          <td>{{ order.nbDays }}</td>
          <td>
            <button class="btn btn-primary"
                    [routerLink]="['/', 'orders', 'edit', order.id]">
              <app-icon-edit></app-icon-edit>
            </button>

            <button class="btn btn-danger"
                    (click)="delete(order)">
              <app-icon-delete></app-icon-delete>
            </button>
          </td>
        </tr>
        </tbody>
      </table>
    </ng-container>
  </ng-container>
</div>

<ng-template #noData>
  <div class="alert alert-danger" role="alert">
    Aucune commande disponible !
  </div>
</ng-template>
<ng-template #loading>
  <div class="alert alert-info" role="alert">
    Chargement des données...
  </div>
</ng-template>
